Jaunty X highly unstable

Bug #359245 reported by Noel J. Bergman on 2009-04-10
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-180 (Ubuntu)
Undecided
Unassigned
xorg-server (Ubuntu)
Undecided
Unassigned

Bug Description

At first I thought that it was an nvidia driver issue, but I've now tested a number of the drivers, and still see failures. Having come across Bug 328035, I'm wondering if there isn't a problem in X, not in the driver. Running Intrepid with the very same driver (185.19, currently) is rock solid, whereas Jaunty locks up.

Original:

I had installed nvidia 180.44 via apt when it was posted, and over the period of time since had absolutely awful issues with stability. The system would freeze multiple times a day, sometimes with the "blinking keyboard" symptom, and would require a hard power-cycle.

I recently installed 185.19 (from PPA), and it has been far more stable. [edit: only seemed so ... still has the problem on Jaunty, but not on Intrepd]

Has anyone else been seeing stability issues with 180.44? With Jaunty release coming up shortly, I'm concerned about this issue; we need a stable nvidia driver.

My system: Thinkpad T61p 6457-7WU.

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
     Subsystem: Lenovo Device [17aa:20b1]
01:00.0 VGA compatible controller [0300]: nVidia Corporation Quadro FX 570M [10de:040c] (rev a1)
     Subsystem: Lenovo Device [17aa:20d9]

Bryce Harrington (bryce) wrote :

Hi noel-devtech,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log (and maybe Xorg.0.log.old) file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
tags: added: needs-lspci-vvnn
Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: New → Incomplete
Noel J. Bergman (noeljb) wrote :
Noel J. Bergman (noeljb) wrote :
Noel J. Bergman (noeljb) wrote :

I don't have an Xorg.log file left from that driver to attach. Attaching the most recent one from a UI hard freeze with 185.19.

Am about to try 180.51, which supposedly fixes some problems of this nature.

Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Incomplete → New
Bryce Harrington (bryce) on 2009-04-21
description: updated
Noel J. Bergman (noeljb) wrote :

Attaching Xorg.0.log from using 180.51, post system hang.

When I go back to Intrepid, the system is stable; I'm going to update the driver there to see if I can isolate it to the driver or if it is something else that causes Jaunty to be so unstable lately.

Noel J. Bergman (noeljb) wrote :

OK, I have been running on Intrepd, fully updated, with nvidia 185.19 installed from PPA. It has been rock solid. When running Jaunty with 180.44, 180.51 and 185.19, I get *at least* one lockup per day, oft-times of the blinking keyboard variety.

Something has been VERY unstable with Jaunty, and I am now running the same nvidia driver on Intrepid to compare, so it appears to be something other than purely the video driver. Is there anything I can do to help? Is no one else seeing really bad stability issues?

What I am experiencing is serious enough to consider Jaunty unusable, which is unusual this late in the cycle, and far worse than Jaunty had been earlier. At the moment, I'm likely to revert to Intrepid and start testing Karmic. I maintain multiple boot partitions, currently Hardy, Intrepid and Jaunty, and had previously planned to replace Hardy with Karmic.

Noel J. Bergman (noeljb) wrote :

Except that I don't see the message in the log, and it is supposed to be fixed, I would suspect this of being related to Bug 328035.

Not seeing anything in the gdm log, other than some have:

 ddxSigGiveUp: Closing log

and some do not:

 $ grep -cF ddxSigGiveUp *
 :0.log:1
 :0.log.1:0
 :0.log.2:1
 :0.log.3:1
 :0.log.4:1
 :1.log:1
 :1.log.1:1
 failsafe.log:0

Noel J. Bergman (noeljb) on 2009-04-23
description: updated
tags: removed: needs-lspci-vvnn needs-xorglog
summary: - nvidia 180.44 highly unstable
+ Jaunty X highly unstable
Bryce Harrington (bryce) on 2009-04-28
Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2009-04-28
Changed in xorg-server (Ubuntu):
status: New → Confirmed
hotani (hotani) wrote :

I believe this is the same issue I ran into with 9.04 after attempting to upgrade from 8.10. I would experience lockups where the screen was frozen and nothing moved but the mouse, or sometimes the mouse would stick too. There was no way out of these other than a hard reset.

Back to running 8.10 now and it is stable - no freezes.

If my issue is the same, it cannot be the intel problem as I am not running any intel hardware. My machine has an AMD64 chip, and nvidia video. The freezes happened with both i386 and amd64 versions of ubuntu 9.04.

Could be the same as this "strace" bug: #364524

hotani (hotani) wrote :

Just found this bug - i think it is the same. Good news is that they're working on it - looks like the 180.53 release of nvidia-glx fixes the problem:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-180/+bug/353502

Noel J. Bergman (noeljb) wrote :

I'm running 185.18.04 at the moment with Jaunty, and it is still up after 2 days. That includes running single and dual displays without rebooting, and video. So far, it works.

Noel J. Bergman (noeljb) wrote :

> I'm running 185.18.04 at the moment with Jaunty, and it is still up after 2 days.

And it died this morning. I did not find anything in the X logs ... unless you count the following notice (normal):

  (II) The server relies on HAL to provide the list of input devices.
       If no devices become available, reconfigure HAL or disable AllowEmptyInput.

The reason I mention it is that I also found a litany of hourly GPF faults in syslog:

 # grep -F "Call Trace" syslog*
 syslog:May 6 09:19:24 jaunty kernel: [ 741.174888] Call Trace:
 syslog.0:May 6 04:56:05 jaunty kernel: [299116.995954] Call Trace:
 syslog.0:May 6 04:56:26 jaunty kernel: [299138.010140] Call Trace:
 syslog.0:May 6 04:56:32 jaunty kernel: [299144.252919] Call Trace:
 syslog.0:May 6 06:43:27 jaunty kernel: [305559.339189] Call Trace:
 syslog.0:May 6 07:47:24 jaunty kernel: [309396.113391] Call Trace:
 syslog.0:May 6 08:33:12 jaunty kernel: [312144.386665] Call Trace:
 syslog.0:May 6 08:33:20 jaunty kernel: [312152.455742] Call Trace:

The first one occurs right after to a message saying: "May 6 04:56:05 jaunty NetworkManager: <info> HAL disappeared"

HAL disappeared? Could these problems all be related to hald aborting, thus removing the input devices?

I am attaching these hourly call traces.

I have been having the exact same problem. My system was rock solid in Intrepid (running for weeks at a time), but now it doesn't even survive for 12 hours of uptime.

My system is an Aspire 6930 with an Intel CPU and an NVIDIA graphics card. I am using the same major release of the video card driver (180). There are no other binary drivers in use.

The problem is getting so bad that it has corrupted my hard drive twice (one partition, then two partitions the second time).

I started using Jaunty in the Beta stage and noticed a known-bug was the unstable X server on intel graphics chips, so when I started having problems I simply assumed it was also affecting some Nvidia chips as well. But now that it's near the end of May, I'm starting to think this is a bit bigger of a problem than I had originally throught.

Bryce Harrington (bryce) wrote :

I've posted a new version of the -nvidia driver to our xorg-edgers PPA,
would you mind testing it either on Jaunty or Karmic and see if it
resolves this bug?

Get nvidia-graphics-drivers-180 - 185.18.14 here:

  https://edge.launchpad.net/~xorg-edgers/+archive/ppa

Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Confirmed → New
status: New → Incomplete

@Bryce
Sorry, but I am no longer running Jaunty due to not only the video card problem, but also the fact that my HD was getting corrupted on a daily basis (I was barely able to recover it). I no longer suffer these problems in Intrepid, so I'm going to hold out until Karmic comes out and give that a try.

Noel J. Bergman (noeljb) wrote :

> I've posted a new version of the -nvidia driver to our xorg-edgers PPA

Bryce, do you want us to update anything else from there, or just the driver?

FWIW, I've been running with 185.18.14 since it came out. I still see instability issues, although not as badly as before. And it *appears* to change depending whether I hook up a 2nd display. Adding that appears to make things less stable on Jaunty, but not Intrepid.

On Fri, Jun 26, 2009 at 10:08:52PM -0000, Noel J. Bergman wrote:
> > I've posted a new version of the -nvidia driver to our xorg-edgers PPA
>
> Bryce, do you want us to update anything else from there, or just the
> driver?

Just the driver.

> FWIW, I've been running with 185.18.14 since it came out. I still see
> instability issues, although not as badly as before. And it *appears*
> to change depending whether I hook up a 2nd display. Adding that
> appears to make things less stable on Jaunty, but not Intrepid.

Okay thanks, that may be sufficient testing. The package I posted is
pretty much just the same 185 that you already have installed.

Bryce

Noel J. Bergman (noeljb) wrote :

I have had Jaunty lock up 3 times this week, including this evening, No second display, nothing fancy. Using the exact same driver on Intrepid, and I never have any problem.

Brian Nguyen (mtxcoll) wrote :

If it helps, a flashing keyboard possibly indicates a kernel panic; thus this might not be a problem with X but with the kernel itself. I'm having the same issues on Jaunty with 185.18.14. Instead of hard rebooting you could hold down Alt-SysReq and hit the keys e,s,b: see http://ubuntuforums.org/showthread.php?t=553452

Brian Nguyen (mtxcoll) wrote :

I can confirm a kernel panic also occurs in Intrepid with kernel 2.6.27-7-generic, with 185.18.14. Twinview is enabled; could that possibly be the issue?

Noel J. Bergman (noeljb) wrote :

> hold down Alt-SysReq and hit the keys e,s,b

Does Alt-SysReq actually work for you?? (https://answers.launchpad.net/ubuntu/+source/compiz/+question/56729)

The most I've ever been able to get out of it is the HELP text, but it never responds to anything else.

Timo Aaltonen (tjaalton) wrote :

nvidia bug, not xserver.

Changed in xorg-server (Ubuntu):
status: Confirmed → Invalid
Noel J. Bergman (noeljb) wrote :

Timo,

What makes you think that it is an nvidia driver problem? Every version of the nvidia driver has failed under Jaunty, and every one of them works fine with Intrepid and Karmic.

At present I view Jaunty as unstable and unreliable and to be skipped. I would like for that to change.

Timo Aaltonen (tjaalton) wrote :

That's not going to happen, jaunty shipped already. If it works for you in karmic, then this bug should be closed. Lockups are due to the driver, so my guess is that it doesn't work too well with the kernel in jaunty. Has been solid for me though (180.44, 8600GT/9600GT).

Noel J. Bergman (noeljb) wrote :

> That's not going to happen, jaunty shipped already

I believe that you must have misunderstood my comment. I don't mean that Canonical should have skipped it, I mean that I (and probably other users) should unless Jaunty is fixed, which is what I meant about wanting change. Jaunty had been stable, and then there was an update that caused the instability. Oh well, sounds as if this bug may be fixed by EOLing the release. No, I don't see the problem with Karmic.

Noel J. Bergman (noeljb) wrote :

Timo,

I finally had time to replace the 320GB drive in my laptop with a 500GB drive, and have reinstated Jaunty into the list of available distros in the boot menu. I'm up to date with the kernel (2.6.28-15.48) and nvidia driver (190.18.03), so we'll see if this works better.

Noel J. Bergman (noeljb) wrote :

What I saw today was that the X session somehow got "disconnected" from input devices. The mouse would move, but clicks and keyboard events were ignored. CTRL-ALT-F1 got to me a virtual terminal, where I could restart GDM, and all has been fine since.

Bryce Harrington (bryce) on 2009-08-13
tags: added: jaunty
Noel J. Bergman (noeljb) wrote :

> I view Jaunty as unstable and unreliable; I would like for that to change.

I've been running 2.6.28-15 and 185.18.36 for the past three days without a reboot (or crash). So far so good, which would be nice. For comment 26, I wonder if I am seeing a variation on the theme of Bug 296167 (and similar) bugs.

Noel J. Bergman (noeljb) wrote :

Unfortunately, with no change in usage, it crashed (kernel crash) this morning. What data can I provide to help, and how do we go about getting it?

robe (r-evert) wrote :

Interesting, I also had this "X-Disconnect" Bug two days ago about 3 times with Enlightenment DR17. I switched to the latest stable KDE and now I get "only" sporadic restarts of X.
NVidia Driver is 185.18.36 from NVidia, kernel 2.6.28-15. System is Dell XPS M1330.
There was a time when everything was rock solid, even with Suspend and stuff. Not that is gone.

robe (r-evert) wrote :

Sorry about reopening, but this bug is still there.

Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Incomplete → Confirmed
robe (r-evert) wrote :

oops, wrong package.

Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Confirmed → Invalid
siknasa9 (randy-curry666) wrote :

This has been frustrating. Mostly happens when opening a new window especially when it's a pop-up notification. I can't change the font for my gnome-terminal without this happening. There seems to be something with X. I have an XFX 750a board, amd phenom 9500, nvidia on-board 8200 video and used every driver known to man... even the official nvidia drivers and all with the same outcome. Some updates have made it less frequent but still persists. Anything I can do to help?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers